## ----- Install options -----
ZAF_ROOT_DIR = ../..
CC = 
LINK = 
CC_FLAGS =
LINK_FLAGS = 
CPP_EXTENSION =
LIB_EXTENSION =
INCLUDE_DIRS = 
LIB_DIRS = 
GUI_LIBS =
LIBS =
LIBRARIAN =
AR_FLAGS =
RANLIB = 
SHARED_LINK =
SHARED_LINK_FLAGS = 
SHARED_LIB_EXTENSION =

## ----- General options -----
CF_INCLUDE_DIR = ../include
CF_MTF_LIB = cfzaf
CF_LIB_NAME = lib$(CF_MTF_LIB)$(LIB_EXTENSION)
ALL_INCLUDE_DIRS = -I$(ZAF_ROOT_DIR)/include $(INCLUDE_DIRS) -I$(CF_INCLUDE_DIR)

.SUFFIXES:
.SUFFIXES: .o $(CPP_EXTENSION)

$(CPP_EXTENSION).o:
	$(CC) $(CC_FLAGS) $(ALL_INCLUDE_DIRS) -c $<

## ----- Object files -----
CF_OBJS = \
	bz_zcht.o \
	c0_dystr.o \
	c0_dyarr.o \
	c0_stack.o \
	b0_color.o \
	b0_dspla.o \
	b0_dsbmp.o \
	b0_fonts.o \
	c0_dimen.o \
	c0_datb.o \
	c0_tatb.o \
	c1_xyz.o \
	c1_dgrou.o \
	c1_kernl.o \
	c2_kernl.o \
	c1_vobj.o \
	co1_poin.o \
	co1_pser.o \
	co1_plin.o \
	co1_pgon.o \
	co1_tmar.o \
	co1_tlin.o \
	co1_gts.o \
	co1_tms.o \
	co1_cbmp.o \
	co2_cbmp.o \
	c1_engin.o \
	c1_cmodl.o \
	c2_cview.o \
	c4_cview.o \
	ce1_pcor.o \
	ce1_ccor.o \
	ce2_pie.o \
	ce2_pser.o \
	ce2_line.o \
	ce2_area.o \
	ce2_bar.o \
	ce2_colm.o \
	ce2_stac.o 


## ----- Program -----

chart:	$(CF_LIB_NAME)

clean: 
	-rm -f *.o core $(CF_LIB_NAME)

## ----- Libraries -----

$(CF_LIB_NAME): \
	$(CF_OBJS)
	$(LIBRARIAN) $(AR_FLAGS) $@ $?
	$(RANLIB)
	cp $(CF_LIB_NAME) $(ZAF_ROOT_DIR)/lib
